Skip to main content

Create Private Endpoint (V2)

Creates a private endpoint in a project.

POST/v2/projects/{projectId}/privateEndpoints
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired

The ID of the project.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
Request Body
regionIdstringrequired

The ID of the cloud region in which to create the private endpoint.

endpointIdstringrequired

The VPC endpoint ID provided by the cloud provider.

gcpProjectIdstring

The Google Cloud project ID. This field is required for Google Cloud regions.

AWS PrivateLinkbash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"regionId": "aws-us-west-2",
"endpointId": "vpce-xxxxxxxxxxxxxxxxx"
}'
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired

The created private endpoint identifiers.

endpointIdstring

The private endpoint ID.

regionIdstring

The cloud region ID.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"endpointId": "vpce-xxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2"
}
}
Ctrl I